Public dashboard As String

Function Oeffne(datei As String)
    Workbooks.Open Filename:=datei
End Function

Private Function WorkbookAktualisieren()
        OpenAllLinks
        ' ActiveWorkbook.UpdateLink Name:=ActiveWorkbook.LinkSources
        Calculate
        ActiveWorkbook.RefreshAll
End Function

Private Function OpenAllLinks()
 Dim arLinks As Variant
 Dim intIndex As Integer
 Dim workbookName As String
 
 workbookName = ActiveWorkbook.Name
  
 arLinks = Workbooks(workbookName).LinkSources(xlExcelLinks)
 
 If Not IsEmpty(arLinks) Then
    For intIndex = LBound(arLinks) To UBound(arLinks)
        Workbooks(workbookName).OpenLinks arLinks(intIndex)
    Next intIndex
 End If
 Workbooks(workbookName).Activate
End Function

Sub Workflow(datei As String)
    Oeffne datei
    WorkbookAktualisieren
    ActiveWorkbook.Save
    Application.Quit
End Sub


Sub MakroTest()
    Workflow "test"
End Sub


